org.red5.server.scope

## Class ScopeResolver

- java.lang.Object
- - org.red5.server.scope.ScopeResolver

All Implemented Interfaces:
  IScopeResolver

    public class ScopeResolver
    extends Object
    implements IScopeResolver

Resolves scopes from path

### Field Summary

Fields
`protected IGlobalScope` `globalScope` Global scope
`protected static org.slf4j.Logger` `log`

### Constructor Summary

Constructors
Constructor and Description
`ScopeResolver()`

### Method Summary

Methods
`IGlobalScope` `getGlobalScope()` Getter for global scope
`IScope` `resolveScope(IScope root, String path)` Return scope associated with given path from given root scope.
`IScope` `resolveScope(String path)` Return scope associated with given path
`void` `setGlobalScope(IGlobalScope root)` Setter for global scope

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static org.slf4j.Logger log

#### globalScope

    protected IGlobalScope globalScope

Global scope

### Constructor Detail

#### ScopeResolver

    public ScopeResolver()

### Method Detail

#### getGlobalScope

    public IGlobalScope getGlobalScope()

Getter for global scope

Specified by:
  `getGlobalScope` in interface `IScopeResolver`
Returns:
  Global scope

#### setGlobalScope

    public void setGlobalScope(IGlobalScope root)

Setter for global scope

Parameters:
  `root` - Global scope

#### resolveScope

    public IScope resolveScope(String path)

Return scope associated with given path

Specified by:
  `resolveScope` in interface `IScopeResolver`
Parameters:
  `path` - Scope path
Returns:
  Scope object

#### resolveScope

    public IScope resolveScope(IScope root,
                      String path)

Return scope associated with given path from given root scope.

Specified by:
  `resolveScope` in interface `IScopeResolver`
Parameters:
  `root` - Scope to start from
  `path` - Scope path
Returns:
  Scope object